Page MenuHomePhabricator

Implement scaleable graphing capability in a MediaWiki extension for Wikimedia wikis (tracking)
Closed, ResolvedPublic

Description

For a variety of reasons, a scaleable (cached) graphing capability would be nice to have in a MediaWiki extension for Wikimedia wikis. This would allow us to have pretty graphs of edits over time at [[Special:Contributions]] or have pretty graphs of edits over time at the info action or whatever.

It'd also be helpful to be able to have graphs in articles. This is somewhat different, but could use the same graphing library, presumably. This bug tracks graphs generally on Wikimedia wikis.


Version: unspecified
Severity: enhancement

Details

Reference
bz43666

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz43666.
bzimport added a subscriber: Unknown Object (MLST).
MZMcBride created this task.Jan 6 2013, 2:00 AM

I think the Graph extension or at least the underlying Vega library and the Graphoid service are adequate to resolve this bug?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 13 2016, 10:42 PM

I think yes. If a specific feature is required, it should be created separately with a Graphs tag. There is no point of having a task that can never be closed.

Jdforrester-WMF closed this task as Resolved.Jan 14 2016, 5:32 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Resolved by means of the Graph extension, per Lego and Yurik.

Yurik added a comment.Jan 15 2016, 4:26 AM

Funny enough, I just realized that the only really missing feature is T96309 - making graphoid service return SVG results instead of PNGs. This will allow links in graphs.